Bug 29192 - Mod_mono error on starting Apache
Summary: Mod_mono error on starting Apache
Status: REOPENED
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: 5.0 (2017-02)
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-04-17 09:47 UTC by NewUser2Linux
Modified: 2017-06-27 22:42 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 29192 on GitHub or Developer Community if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: GitHub Markdown or Developer Community HTML
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
REOPENED

Description NewUser2Linux 2015-04-17 09:47:04 UTC
Is there a known problem with the current release of mono-complete , mod_mono when installing on Oracle Linux 7 or Fedora Linux 21(3.19).

mono repo is  http://download.mono-project.com/repo/centos/

Following a fresh install of either version of Linux today, followed by yum update, then install of httpd, mono-complete and mod_mono. Edit httpd.conf to include a ServerName, no other changes as it already includes the instruction IncludeOptional conf.d/x.conf. httpdctl restart produces pretty much the same error showing in journalctl -xn

kernel: mono [ ]: segfault at 5 ip 0..50e9e0 sp 0..7fff37fc9f80 error 6 in mono-sgen [400000+36d000]

In addition in Fedora

Blacklisted package 'mono-core'

I am looking at running ASP.net websites on Linux/Apache instead of IIS and am new to this.

Thanks
Comment 1 Alexander Köplinger [MSFT] 2017-05-30 18:30:45 UTC
Closing this old issue under the assumption that it was fixed in the meantime, please reopen if you still see problems :)
Comment 2 homerbrew 2017-06-01 18:51:40 UTC
As of 2017-06-01 this is still a problem.  I have a newly installed/updated RHEL 7 system, added the http://download.mono-project.com/repo/centos7/ repo.  Did a 
yum install mono-complete apache2-mod_mono

created a virtual host:
<VirtualHost *:80>
        ServerAdmin _EMAIL_
        ServerName _SERVERNAME_
        DocumentRoot /var/www/html/monoapp
        MonoServerPath BPEManager "/usr/bin/mod-mono-server4"
        MonoDebug BPEManager true
        MonoApplications BPEManager "/:/var/www/html/BPEManager"
        MonoSetEnv BPEManager MONO_IOMAP=all

        <Location "/">
                Allow from all
                Order allow,deny
                MonoSetServerAlias BPEManager
                SetHandler mono
                SetOutputFilter DEFLATE
                SetEnvIfNoCase Request_URI ".(?:gif|jpe?g|png)$" no-gzip dont-vary
        </Location>
        <IfModule mod_deflate.c>
          AddOutputFilterByType DEFLATE text/html text/plain text/xml text/javascript
        </IfModule>
</VirtualHost>


and when starting apache I am seeing this in my /var/log/messages:
Jun  1 14:28:35 myrhel7 systemd: Started The Apache HTTP Server.
Jun  1 14:28:35 myrhel7 kernel: mono[12819]: segfault at 0 ip 0000000000516f64 sp 00007ffd5bb7aed0 error 6 in mono-sgen[400000+3b0000]
Jun  1 14:33:50 myrhel7 kernel: mono[12827]: segfault at 0 ip 0000000000516f64 sp 00007fff23f28060 error 6 in mono-sgen[400000+3b0000]
Jun  1 14:33:52 myrhel7 kernel: mono[12830]: segfault at 0 ip 0000000000516f64 sp 00007ffceaa708e0 error 6 in mono-sgen[400000+3b0000]
Jun  1 14:33:54 myrhel7 kernel: mono[12832]: segfault at 0 ip 0000000000516f64 sp 00007ffc617fe180 error 6 in mono-sgen[400000+3b0000]

and when attempting to access my mono application it gets an error 503.  This same configuration works fine on a RHEL 6 system with the http://download.mono-project.com/repo/centos6/ repo, only RHEL 7 and centos7 repo have the issue.
Comment 3 Alexander Köplinger [MSFT] 2017-06-02 01:24:49 UTC
Hm, seems to be a runtime issue to me given that you get a segfault. I'm going to move it over there.
Comment 4 Jerod Venema 2017-06-27 22:42:35 UTC
Has there been any movement on this ticket? Or workarounds?